CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SynchronizedObject::SynchronizationObject Class Reference

Abstract synchronization object (mutex) More...

`#include <SynchronizedObject.h>`

## Public Member Functions

| SynchronizationObject ()
virtual | ~SynchronizationObject ()
virtual void | lock ()
virtual void | unlock ()

## Detailed Description

Abstract synchronization object (mutex)

## Constructor & Destructor Documentation

SynchronizedObject::SynchronizationObject::SynchronizationObject | ( |  | ) |

inline

virtual SynchronizedObject::SynchronizationObject::~SynchronizationObject | ( |  | ) |

inline virtual

## Member Function Documentation

virtual void SynchronizedObject::SynchronizationObject::lock | ( |  | ) |

inline virtual

virtual void SynchronizedObject::SynchronizationObject::unlock | ( |  | ) |

inline virtual

The documentation for this class was generated from the following file:

- SynchronizedObject.h

| hosts this site. |  | Send comments to: CppUnit Developers